
#ifndef _DMP_W99200_H_
#define _DMP_W99200_H_

/*

DM&P W99200F Library,
Copyright (C) 2001 by DM&P.

This library is for DM&P WebCamera hardware.

*/

typedef unsigned char  BYTE;
typedef unsigned short WORD;
typedef unsigned long  DWORD;

#ifdef __cplusplus
  enum BOOL { FALSE, TRUE };
  #define bool  BOOL
  #define false FALSE
  #define true  TRUE
#else
  typedef int BOOL;
  #define FALSE 0
  #define TRUE  1
#endif

typedef          char  SBYTE;
typedef          short SWORD;
typedef          short sint;
typedef unsigned short usint;

typedef unsigned char  uchar;
typedef unsigned int   uint;
typedef unsigned long  ulong;

#ifdef __cplusplus
extern "C" {
#endif

#define IMG_FULL 0x00
#define IMG_SIF  0x01
#define IMG_QSIF 0x02

BOOL W99200_Init();
void W99200_SetImage(int nType);
BOOL W99200_Compress();
int  W99200_GetQuality();
void W99200_SetQuality(int nQuality);
int  W99200_GetLuminance();
void W99200_SetLuminance(int nLuminance);
int  W99200_GetContrast();
void W99200_SetContrast(int nContrast);
void W99200_SetFileName(char *szFileName);
BOOL W99200_SetChannel(int Channel);
BOOL W99200_VideoReady();
BOOL W99200_IsNTSC();

#ifdef __cplusplus
}
#endif

#endif // _DMP_W99200_H_
